// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_common/enum_product.proto

package dictionary_common

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ProductProcess int32

const (
	ProductProcess_UNSPECIFIED ProductProcess = 0
	ProductProcess_RESOURCES   ProductProcess = 1
	ProductProcess_SERVICES    ProductProcess = 2
	ProductProcess_PRODUCTS    ProductProcess = 3
	ProductProcess_GOODS       ProductProcess = 4
)

// Enum value maps for ProductProcess.
var (
	ProductProcess_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "RESOURCES",
		2: "SERVICES",
		3: "PRODUCTS",
		4: "GOODS",
	}
	ProductProcess_value = map[string]int32{
		"UNSPECIFIED": 0,
		"RESOURCES":   1,
		"SERVICES":    2,
		"PRODUCTS":    3,
		"GOODS":       4,
	}
)

func (x ProductProcess) Enum() *ProductProcess {
	p := new(ProductProcess)
	*p = x
	return p
}

func (x ProductProcess) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductProcess) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[0].Descriptor()
}

func (ProductProcess) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[0]
}

func (x ProductProcess) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductProcess.Descriptor instead.
func (ProductProcess) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{0}
}

type ProductType int32

const (
	ProductType_ProductType_UNSPECIFIED ProductType = 0
	// RESOURCES_...
	ProductType_RESOURCES_SEEDS            ProductType = 100
	ProductType_RESOURCES_FERTILIZE        ProductType = 101
	ProductType_RESOURCES_MICROFERTILIZERS ProductType = 102
	ProductType_RESOURCES_CHEMISTRY        ProductType = 103
	// PT_SERVICES_...
	ProductType_SERVICES_BANKING   ProductType = 200
	ProductType_SERVICES_INSURANCE ProductType = 201
	ProductType_SERVICES_LEGAL     ProductType = 202
	// PT_PRODUCTS_...
	ProductType_PRODUCTS_FOOD ProductType = 300
	// PT_GOODS_...
	ProductType_GOODS_OVERALLS ProductType = 400
)

// Enum value maps for ProductType.
var (
	ProductType_name = map[int32]string{
		0:   "ProductType_UNSPECIFIED",
		100: "RESOURCES_SEEDS",
		101: "RESOURCES_FERTILIZE",
		102: "RESOURCES_MICROFERTILIZERS",
		103: "RESOURCES_CHEMISTRY",
		200: "SERVICES_BANKING",
		201: "SERVICES_INSURANCE",
		202: "SERVICES_LEGAL",
		300: "PRODUCTS_FOOD",
		400: "GOODS_OVERALLS",
	}
	ProductType_value = map[string]int32{
		"ProductType_UNSPECIFIED":    0,
		"RESOURCES_SEEDS":            100,
		"RESOURCES_FERTILIZE":        101,
		"RESOURCES_MICROFERTILIZERS": 102,
		"RESOURCES_CHEMISTRY":        103,
		"SERVICES_BANKING":           200,
		"SERVICES_INSURANCE":         201,
		"SERVICES_LEGAL":             202,
		"PRODUCTS_FOOD":              300,
		"GOODS_OVERALLS":             400,
	}
)

func (x ProductType) Enum() *ProductType {
	p := new(ProductType)
	*p = x
	return p
}

func (x ProductType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[1].Descriptor()
}

func (ProductType) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[1]
}

func (x ProductType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductType.Descriptor instead.
func (ProductType) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{1}
}

type ProductProcessValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductProcess `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductProcess" json:"value,omitempty"`
}

func (x *ProductProcessValue) Reset() {
	*x = ProductProcessValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductProcessValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductProcessValue) ProtoMessage() {}

func (x *ProductProcessValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductProcessValue.ProtoReflect.Descriptor instead.
func (*ProductProcessValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{0}
}

func (x *ProductProcessValue) GetValue() ProductProcess {
	if x != nil {
		return x.Value
	}
	return ProductProcess_UNSPECIFIED
}

type ProductTypeValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductType `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductType" json:"value,omitempty"`
}

func (x *ProductTypeValue) Reset() {
	*x = ProductTypeValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductTypeValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductTypeValue) ProtoMessage() {}

func (x *ProductTypeValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductTypeValue.ProtoReflect.Descriptor instead.
func (*ProductTypeValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{1}
}

func (x *ProductTypeValue) GetValue() ProductType {
	if x != nil {
		return x.Value
	}
	return ProductType_ProductType_UNSPECIFIED
}

var File_v1_dictionary_common_enum_product_proto protoreflect.FileDescriptor

var file_v1_dictionary_common_enum_product_proto_rawDesc = []byte{
	0x0a, 0x27, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x5f, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x23, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x22, 0x60,
	0x0a, 0x13, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x49, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x22, 0x5a, 0x0a, 0x10, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x12, 0x46, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x2a, 0x57, 0x0a, 0x0e,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x0f,
	0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x0d, 0x0a, 0x09, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x10, 0x01, 0x12, 0x0c,
	0x0a, 0x08, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08,
	0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x54, 0x53, 0x10, 0x03, 0x12, 0x09, 0x0a, 0x05, 0x47, 0x4f,
	0x4f, 0x44, 0x53, 0x10, 0x04, 0x2a, 0xa7, 0x02, 0x0a, 0x0b, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1b, 0x0a, 0x17, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f,
	0x53, 0x45, 0x45, 0x44, 0x53, 0x10, 0x64, 0x12, 0x17, 0x0a, 0x13, 0x52, 0x45, 0x53, 0x4f, 0x55,
	0x52, 0x43, 0x45, 0x53, 0x5f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x10, 0x65,
	0x12, 0x1e, 0x0a, 0x1a, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x4d, 0x49,
	0x43, 0x52, 0x4f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x52, 0x53, 0x10, 0x66,
	0x12, 0x17, 0x0a, 0x13, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x43, 0x48,
	0x45, 0x4d, 0x49, 0x53, 0x54, 0x52, 0x59, 0x10, 0x67, 0x12, 0x15, 0x0a, 0x10, 0x53, 0x45, 0x52,
	0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x42, 0x41, 0x4e, 0x4b, 0x49, 0x4e, 0x47, 0x10, 0xc8, 0x01,
	0x12, 0x17, 0x0a, 0x12, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x49, 0x4e, 0x53,
	0x55, 0x52, 0x41, 0x4e, 0x43, 0x45, 0x10, 0xc9, 0x01, 0x12, 0x13, 0x0a, 0x0e, 0x53, 0x45, 0x52,
	0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x4c, 0x45, 0x47, 0x41, 0x4c, 0x10, 0xca, 0x01, 0x12, 0x12,
	0x0a, 0x0d, 0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x54, 0x53, 0x5f, 0x46, 0x4f, 0x4f, 0x44, 0x10,
	0xac, 0x02, 0x12, 0x13, 0x0a, 0x0e, 0x47, 0x4f, 0x4f, 0x44, 0x53, 0x5f, 0x4f, 0x56, 0x45, 0x52,
	0x41, 0x4c, 0x4c, 0x53, 0x10, 0x90, 0x03, 0x22, 0x04, 0x08, 0x01, 0x10, 0x63, 0x22, 0x05, 0x08,
	0x68, 0x10, 0xc7, 0x01, 0x22, 0x06, 0x08, 0xcb, 0x01, 0x10, 0xab, 0x02, 0x22, 0x06, 0x08, 0xad,
	0x02, 0x10, 0x8f, 0x03, 0x22, 0x09, 0x08, 0x91, 0x03, 0x10, 0xff, 0xff, 0xff, 0xff, 0x07, 0x42,
	0x76, 0x0a, 0x2c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x50,
	0x01, 0x5a, 0x41, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64,
	0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73,
	0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f,
	0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_common_enum_product_proto_rawDescOnce sync.Once
	file_v1_dictionary_common_enum_product_proto_rawDescData = file_v1_dictionary_common_enum_product_proto_rawDesc
)

func file_v1_dictionary_common_enum_product_proto_rawDescGZIP() []byte {
	file_v1_dictionary_common_enum_product_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_common_enum_product_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_common_enum_product_proto_rawDescData)
	})
	return file_v1_dictionary_common_enum_product_proto_rawDescData
}

var file_v1_dictionary_common_enum_product_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_v1_dictionary_common_enum_product_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_v1_dictionary_common_enum_product_proto_goTypes = []interface{}{
	(ProductProcess)(0),         // 0: fcp.dictionary.v1.dictionary_common.ProductProcess
	(ProductType)(0),            // 1: fcp.dictionary.v1.dictionary_common.ProductType
	(*ProductProcessValue)(nil), // 2: fcp.dictionary.v1.dictionary_common.ProductProcessValue
	(*ProductTypeValue)(nil),    // 3: fcp.dictionary.v1.dictionary_common.ProductTypeValue
}
var file_v1_dictionary_common_enum_product_proto_depIdxs = []int32{
	0, // 0: fcp.dictionary.v1.dictionary_common.ProductProcessValue.value:type_name -> fcp.dictionary.v1.dictionary_common.ProductProcess
	1, // 1: fcp.dictionary.v1.dictionary_common.ProductTypeValue.value:type_name -> fcp.dictionary.v1.dictionary_common.ProductType
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_v1_dictionary_common_enum_product_proto_init() }
func file_v1_dictionary_common_enum_product_proto_init() {
	if File_v1_dictionary_common_enum_product_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_common_enum_product_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductProcessValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_enum_product_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductTypeValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_common_enum_product_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_common_enum_product_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_common_enum_product_proto_depIdxs,
		EnumInfos:         file_v1_dictionary_common_enum_product_proto_enumTypes,
		MessageInfos:      file_v1_dictionary_common_enum_product_proto_msgTypes,
	}.Build()
	File_v1_dictionary_common_enum_product_proto = out.File
	file_v1_dictionary_common_enum_product_proto_rawDesc = nil
	file_v1_dictionary_common_enum_product_proto_goTypes = nil
	file_v1_dictionary_common_enum_product_proto_depIdxs = nil
}
